Bug 1298700 - [marco] only desktop icons shown on external monitor attached to a Lenovo ThinkPad T400 when docked and lid closed
[marco] only desktop icons shown on external monitor attached to a Lenovo Thi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: marco (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 13:32 EST by Joachim Frieben
Modified: 2016-12-20 12:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:54:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Mate desktop on Lenovo ThinkPad 400 when docked and lid closed (1.36 MB, image/png)
2016-01-14 13:33 EST, Joachim Frieben
no flags Details
X log file for Lenovo ThinkPad T400 when docked and lid closed (43.94 KB, text/plain)
2016-01-14 13:34 EST, Joachim Frieben
no flags Details
Output of 'xrandr -q' for Lenovo ThinkPad T400 when docked and lid closed (999 bytes, text/plain)
2016-01-14 13:35 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2016-01-14 13:32:01 EST
Description of problem:
For the current Fedora 23 Mate spin, only background and desktop icons appear on an external monitor attached to the docking station of a (docked) Lenovo ThinkPad T400 even when the lid is closed. After opening the lid it turns out that the panels are actually shown on the internal display which should have been disabled altogether.

Version-Release number of selected component (if applicable):
mate-1.12.1-2.fc23

How reproducible:
Always

Steps to Reproduce:
1. Boot system from fully updated Fedora 23 Mate live media.

Actual results:
Only background and desktop icons are shown after the system has entered graphical mode.

Expected results:
Mate panels should appear on the external monitor attached to the docking station and not on the internal display when the lid is closed.

Additional info:
This issue is related to bug 1188774.
Comment 1 Joachim Frieben 2016-01-14 13:33 EST
Created attachment 1114922 [details]
Screenshot of Mate desktop on Lenovo ThinkPad 400 when docked and lid closed
Comment 2 Joachim Frieben 2016-01-14 13:34 EST
Created attachment 1114923 [details]
X log file for Lenovo ThinkPad T400 when docked and lid closed
Comment 3 Joachim Frieben 2016-01-14 13:35 EST
Created attachment 1114924 [details]
Output of 'xrandr -q' for Lenovo ThinkPad T400 when docked and lid closed
Comment 4 Wolfgang Ulbrich 2016-05-21 07:51:19 EDT
You can set the primary monitor with mate-display-properties.
Comment 5 Fedora End Of Life 2016-11-24 09:57:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:54:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.